Altibase.jdbc.driver.util

## Class DynamicArrayCursor

- java.lang.Object
- - Altibase.jdbc.driver.util.DynamicArrayCursor

    public class DynamicArrayCursor
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DynamicArrayCursor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(DynamicArrayCursor aTarget)`
`boolean` `geThan(DynamicArrayCursor aTarget)`
`int` `getPosition()`
`boolean` `isBeforeFirst()`
`boolean` `isFirst()`
`void` `next()`
`void` `previous()`
`void` `setPosition(int aNewPosition)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynamicArrayCursor

    public DynamicArrayCursor()

### Method Detail

#### getPosition

    public int getPosition()

#### setPosition

    public void setPosition(int aNewPosition)

#### geThan

    public boolean geThan(DynamicArrayCursor aTarget)

#### equals

    public boolean equals(DynamicArrayCursor aTarget)

#### isBeforeFirst

    public boolean isBeforeFirst()

#### isFirst

    public boolean isFirst()

#### next

    public void next()

#### previous

    public void previous()